Bug 19620 - Allow skipping of patrons with valid emails for Talking Tech
Summary: Allow skipping of patrons with valid emails for Talking Tech
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Target Milestone: ---
Assignee: Kyle M Hall
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-11-13 16:25 UTC by Kyle M Hall
Modified: 2018-09-27 13:34 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 19620: Allow skipping of patrons with valid emails for Talking Tech (2.01 KB, patch)
2018-03-02 16:18 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 19620: Allow skipping of patrons with valid emails for Talking Tech (2.17 KB, patch)
2018-03-02 16:19 UTC, Kyle M Hall
Details | Diff | Splinter Review
Works as described. Thx. -Jesse (2.23 KB, patch)
2018-09-19 14:28 UTC, Jesse Maseto
Details | Diff | Splinter Review
Bug 19620: Allow skipping of patrons with valid emails for Talking Tech (2.34 KB, patch)
2018-09-21 21:11 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kyle M Hall 2017-11-13 16:25:26 UTC
1) Modify the TT outbound script
Comment 1 Kyle M Hall 2017-11-13 16:27:17 UTC
Some libraries want to be able to skip patrons with valid email addresses when generated outbound files for Talking Tech.

Course of action:
1) Modify the TT outbound script
  a) Add new '--skip-patrons-with-email' flag
  b) Modify the script to only return overdues where C4::Members::GetFirstValidEmailAddress comes back false
  c) Modify C4::Members::GetFirstValidEmailAddress to accept an optional hashref of patron data to avoid the cost of a double lookup
Comment 2 Kyle M Hall 2018-03-02 16:18:27 UTC
Created attachment 72376 [details] [review]
Bug 19620: Allow skipping of patrons with valid emails for Talking Tech

Some libraries want to be able to skip patrons with valid email addresses when generated outbound files for Talking Tech.

Test Plan:
1) Apply this patch
2) Run TalkingTech_itiva_outbound.pl
   Overdue will be easiest to use for testing
3) Note one or more patrons show up that have email addresses
4) Run again with -s ( or --skip-patrons-with-email )
5) Note the new file no longer has patrons with emails!
Comment 3 Kyle M Hall 2018-03-02 16:19:42 UTC
Created attachment 72377 [details] [review]
Bug 19620: Allow skipping of patrons with valid emails for Talking Tech

Some libraries want to be able to skip patrons with valid email addresses when generated outbound files for Talking Tech.

Test Plan:
1) Apply this patch
2) Run TalkingTech_itiva_outbound.pl
   Overdue will be easiest to use for testing
3) Note one or more patrons show up that have email addresses
4) Run again with -s ( or --skip-patrons-with-email )
5) Note the new file no longer has patrons with emails!
Comment 4 Jesse Maseto 2018-09-19 14:28:58 UTC
Created attachment 79113 [details] [review]
Works as described. Thx. -Jesse

Bug 19620: Allow skipping of patrons with valid emails for Talking Tech

Some libraries want to be able to skip patrons with valid email addresses when generated outbound files for Talking Tech.

Test Plan:
1) Apply this patch
2) Run TalkingTech_itiva_outbound.pl
   Overdue will be easiest to use for testing
3) Note one or more patrons show up that have email addresses
4) Run again with -s ( or --skip-patrons-with-email )
5) Note the new file no longer has patrons with emails!

Signed-off-by: Jesse Maseto <jesse@bywatersolution.com>
Comment 5 Jonathan Druart 2018-09-21 21:11:48 UTC
Created attachment 79258 [details] [review]
Bug 19620: Allow skipping of patrons with valid emails for Talking Tech

Some libraries want to be able to skip patrons with valid email addresses when generated outbound files for Talking Tech.

Test Plan:
1) Apply this patch
2) Run TalkingTech_itiva_outbound.pl
   Overdue will be easiest to use for testing
3) Note one or more patrons show up that have email addresses
4) Run again with -s ( or --skip-patrons-with-email )
5) Note the new file no longer has patrons with emails!

Signed-off-by: Jesse Maseto <jesse@bywatersolution.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
I did not test but changes make sense
Comment 6 Nick Clemens 2018-09-26 19:25:55 UTC
Awesome work all!

Pushed to master for 18.11
Comment 7 Martin Renvoize 2018-09-27 13:34:17 UTC
Enhancement, will not be backported to 18.05.x series.